#define PO(x) pinMode(x, OUTPUT)
#define PIN(x) pinMode(x, INPUT)
#define S0(x) digitalWrite(x, 0)
#define S1(x) digitalWrite(x, 1)
#define RI(x) digitalRead(x)

void setup() {
  // put your setup code here, to run once:
  char i = 6;
  for (;i <= 13; i++){
    PO(i);
    S1(i);
  }
  PIN(2);
  PIN(3);
  PIN(4);
  PIN(5);
}

unsigned char state = 0;  //0 stop 1 left 2 right 3 double

void loop() {
  // put your main code here, to run repeatedly:
  static unsigned char ledn = 6;
  static unsigned long time;
  static char dir = 1;
  time = millis();
  char i = 6;
  for (;i <= 13; i++){
    S1(i);
  }
  S0(ledn);


  switch (state)
  {
    case 0:
      break;
    case 1:
      ledn++;
      break;
    case 2:
      ledn--;
      break;
    case 3:
      ledn += dir;
      break;
  }

  if (ledn > 13)
  {
    if (state != 3)
    {
      ledn = 6;
    }
    else
    {
      ledn = 12;
      dir = -dir;
    }
  }
  
  if (ledn < 6)
  {
    if (state != 3)
    {
      ledn = 13;  
    }
    else
    {
      ledn = 7;
      dir = -dir;
    }
  }
    
  while (millis() - time <= 2000)
  {
    if (RI(4) == 0)
    {
      state = 1;
    }
    if (RI(3) == 0)
    {
      state = 0;
    }
    if (RI(2) == 0)
    {
      state = 2;
    }
    if (RI(5) == 0)
    {
      state = 3;
    }    
  }
}













